Update share settings
curl --request PATCH \
--url https://handauncle-backend-prod-205012263523.asia-south1.run.app/api/v1/share/{shareId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowContinuation": true,
"expires_in_days": 183,
"customTitle": "<string>",
"customDescription": "<string>"
}
'import requests
url = "https://handauncle-backend-prod-205012263523.asia-south1.run.app/api/v1/share/{shareId}"
payload = {
"allowContinuation": True,
"expires_in_days": 183,
"customTitle": "<string>",
"customDescription": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowContinuation: true,
expires_in_days: 183,
customTitle: '<string>',
customDescription: '<string>'
})
};
fetch('https://handauncle-backend-prod-205012263523.asia-south1.run.app/api/v1/share/{shareId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"shareId": "<string>",
"userId": "<string>",
"conversationId": "<string>",
"allowContinuation": true,
"viewCount": 123,
"continuationCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"messageIds": [
"<string>"
],
"customTitle": "<string>",
"customDescription": "<string>",
"lastViewedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Chat Share
Update Share
PATCH
/
api
/
v1
/
share
/
{shareId}
Update share settings
Allows owners to toggle continuation, extend/shorten expiration, and tweak
custom titles/descriptions. All fields are optional, and only the provided ones
are persisted.
Request Body
| Field | Type | Description |
|---|---|---|
allowContinuation | boolean | Toggle fork permission |
expiresInDays | number | Update expiration (1-365 days) |
customTitle | string | Update share title (max 200 chars) |
customDescription | string | Update description (max 500 chars) |
Authorizations
Auth0 access token for registered users.
Path Parameters
Share identifier returned by POST /api/v1/share.
Required string length:
8 - 64Body
application/json
⌘I